#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kpipewire
Version: 6.3.2
Release:        %mkrel %{rel}
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Configuration
License:        GPLv2
URL:            https://invent.kde.org/plasma/kpipewire
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(epoxy)

%description
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -f %name.lang
%_kf6_categoriesdir/kpipewire*.categories
%_qt6_qmldir/org/kde/pipewire/

#--------------------------------------------------------------------

%define kpipewire_major 6
%define libkpipewire %mklibname kpipewire %{kpipewire_major}

%package -n %libkpipewire
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewire
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewire
%_kf6_libdir/libKPipeWire.so.%{kpipewire_major}
%_kf6_libdir/libKPipeWire.so.%{version}

#--------------------------------------------------------------------

%define kpipewiredmabuf_major 6
%define libkpipewiredmabuf %mklibname kpipewiredmabuf %{kpipewiredmabuf_major}

%package -n %libkpipewiredmabuf
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewiredmabuf
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewiredmabuf
%_kf6_libdir/libKPipeWireDmaBuf.so.%{kpipewire_major}
%_kf6_libdir/libKPipeWireDmaBuf.so.%{version}

#--------------------------------------------------------------------

%define kpipewirerecord_major 6
%define libkpipewirerecord %mklibname kpipewirerecord %{kpipewirerecord_major}

%package -n %libkpipewirerecord
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpipewirerecord
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewirerecord
%_kf6_libdir/libKPipeWireRecord.so.%{kpipewirerecord_major}
%_kf6_libdir/libKPipeWireRecord.so.%{version}

#--------------------------------------------------------------------

%define kpipewire_devel %mklibname kpipewire -d

%package -n %kpipewire_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpipewire       = %{version}-%{release}
Requires:       %libkpipewiredmabuf = %{version}-%{release}
Requires:       %libkpipewirerecord = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpipewire_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpipewire_devel
%_includedir/KPipeWire/
%_kf6_libdir/cmake/KPipeWire/
%_kf6_libdir/libKPipeWire.so
%_kf6_libdir/libKPipeWireDmaBuf.so
%_kf6_libdir/libKPipeWireRecord.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152451
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149382
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146907
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140806
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137949
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134167
- New version 6.2.5

* Sun Dec 08 2024 daviddavid <daviddavid> 6.2.4-2.mga10
+ Revision: 2122622
- rebuild for new ffmpeg 7.1

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119039
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113149
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110028
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107205
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104436
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095383
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083898
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079108
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076705
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074812
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069794
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057908
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052469
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049553
- New version 6.0.2

* Fri Mar 08 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048515
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044991
- New version 6.0.0

* Wed Feb 07 2024 daviddavid <daviddavid> 5.93.2-1.mga10
+ Revision: 2038271
- New version 5.93.2
+ neoclust <neoclust>
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029641
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025681
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006290
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001110
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988236
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958039
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951952
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949077
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945784
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944796
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942063
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935771
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930060
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923112
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907531
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-2.mga9
+ Revision: 1889803
- Fix requires in the devel package

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889781
- imported package kpipewire

